<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <PreferenceCategory app:title="@string/downloader_header">

        <SwitchPreferenceCompat
            app:defaultValue="true"
            app:icon="@drawable/ic_baseline_download_24"
            app:key="use_downloader"
            app:summary="@string/use_downloader_summary"
            app:title="@string/use_downloader" />

        <Preference
            app:dependency="use_downloader"
            app:icon="@drawable/ic_baseline_store_24"
            app:key="start_market"
            app:title="@string/open_market">
            <intent
                android:action="android.intent.action.VIEW"
                android:data="market://details?id=xyz.myachin.downloader" />
        </Preference>
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/app_name">
        <SeekBarPreference
            android:max="10"
            android:title="@string/text_file_name_template"
            app:defaultValue="5"
            app:icon="@drawable/ic_baseline_text_snippet_24"
            app:key="text_file_name_length"
            app:min="1"
            app:showSeekBarValue="true"
            app:summary="@string/text_file_name_length" />

        <Preference
            app:defaultValue="@string/settings_version"
            app:icon="@drawable/ic_baseline_not_interested_24"
            app:key="settings_version"
            app:title="@string/tv_remove_app_launcher_icon">
            <intent
                android:targetClass="@string/disable_launch_icon_activity"
                android:targetPackage="@string/app_package_name" />
        </Preference>
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/direct_saving_title">
        <SwitchPreferenceCompat
            app:key="@string/allow_direct_saving"
            app:defaultValue="true"
            app:icon="@drawable/ic_baseline_flash_on_24"
            app:title="@string/use_this_feature"/>

        <Preference
            app:dependency="allow_direct_saving"
            app:icon="@drawable/ic_baseline_folder_24"
            app:title="@string/direct_saving_preference_title">
            <intent
                android:targetClass="@string/mime_type_preference_settings_activity"
                android:targetPackage="@string/app_package_name" />
        </Preference>
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/manual_saving_title">
        <SwitchPreferenceCompat
            app:key="@string/allow_manual_saving"
            app:defaultValue="true"
            app:icon="@drawable/ic_baseline_precision_manufacturing_24"
            app:title="@string/use_this_feature"/>
    </PreferenceCategory>

</PreferenceScreen>